$margin-pixels: (8, 16, 18, 20, 24, 26, 28, 37);
$padding-pixels: (8, 16, 26, 30);
.m-all-reset {
    margin: 0;
}

@each $margin-pixel in $margin-pixels {
    body {
        .m-top-#{$margin-pixel} {
            margin-top: ($margin-pixel/16) * 1em;
        }
        .m-bottom-#{$margin-pixel} {
            margin-bottom: ($margin-pixel/16) * 1em;
        }
        .m-left-#{$margin-pixel} {
            margin-left: ($margin-pixel/16) * 1em;
        }
        .m-right-#{$margin-pixel} {
            margin-right: ($margin-pixel/16) * 1em;
        }
    }
}

@each $padding-pixel in $padding-pixels {
    body {
        .p-top-#{$padding-pixel} {
            padding-top: ($padding-pixel/16) * 1em;
        }
        .p-bottom-#{$padding-pixel} {
            padding-bottom: ($padding-pixel/16) * 1em;
        }
        .p-left-#{$padding-pixel} {
            padding-left: ($padding-pixel/16) * 1em;
        }
        .p-right-#{$padding-pixel} {
            padding-right: ($padding-pixel/16) * 1em;
        }
    }
}

.mh-md {
    min-height: 50vh;
}

.center-element {
    margin: 0 auto;
}